<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8"> 

  {# ----Lien Bootstrap----------#}

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous"> 

    {# -----lien logo------- #}

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.11/css/all.css" integrity="sha384-p2jx59pefphTFIpeqCcISO9MdVfIm4pNnsL08A6v5vaQc4owkQqxMV8kg4Yvhaw/"
    crossorigin="anonymous">

    {# ----lien css---- #}

  <link rel="stylesheet" href=" {{asset("build/css/app.css")}}">
   

  <title>E-Commerce - {% block title %} {% endblock title %}</title>

</head>

<body class="d-flex flex-column">

  {# ----navbarre---- #} 
  
  <nav class="navbar navbar-expand-md navbar-light">
    {# ----bouton-responsive----- #}
    <div class="container">

    <a class="navbar-brand" style="padding-right: 25px"><h2>tw</h2></a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
      aria-expanded="false" aria-label="Toggle navigation">
      
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">

      {# ------barre de navigateur------ #}

      <ul class="navbar-nav mr-auto navigateur">
        <li class="nav-item">
          <a class="nav-link left_nav" href="{{ path("home") }}">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link left_nav" href="{{ path("product") }}">Products</a>
        </li>

        <li class="nav-item">

            {% if is_granted('ROLE_ADMIN') %}
            <a class="nav-link left_nav" href="{{ path("adminPanel") }}">Administration</a>
                   
            {% endif %}
         
        </li>

        {# -----Barre de rechercher------ #}
      </ul>

      <div class="form-inline my-2 my-lg-0 recherche">
        {{ render(controller(
          'App\\Controller\\SearchController::index'
        )) }}
        </div>

          {% if not app.user %}
          <a id="nav_register" class="nav-link" href="{{ path("register") }}">Register</a>
          {% else %}
          {{ render(controller(
            'App\\Controller\\UserController::getUsername'
        )) }}
          {% endif %}

      {% if not app.user %} 

      <p class="connect">
        <a class="nav-link " href="{{path("login") }}">Connection</a>
      </p>
      {% else %}

         <p class="deconnect">
        <a class="nav-link " href="{{path('logout')}}">Deconnexion</a>
        </p> 
      {% endif %}
       
      {% if app.user %}
          
       
      <a href="{{ path("shopping_cart") }}">
      <span class="fa-stack">
          
          <i class="fas fa-shopping-cart"></i>
          <strong class="fa-stack-1x cart-text fa-inverse">{{ render(controller(
              'App\\Controller\\HomeController::getNbCartItems'
          )) }}</strong>
        </span>
      </a>

      {% endif %}
      
      
    </li> 
  </div>
  </div>
  </nav>
  </div>
  
  {# ----content-contenus---- #}

    {% block content %}
 
    {% endblock content %}
  
  {# ----Formulaire---- #} 
  
  {% block form %}

  {% endblock form %} 

  {# ---footer---- #} 

  {% block footer %}


    <footer class="mt-auto">
      <div class="container-fluid d-flex justify-content-center">
            <div class="row">
                    
                <ul class="nav-footer">
                   <li>
                  <p>© 2018 Copyright</p>
                </li>
                     <li class="nav-item ">
                        <a class="nav-link " href="https://www.facebook.com/"><i class="fab fa-facebook fa-2x"></i></a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="https://twitter.com/"><i class="fab fa-twitter fa-2x"></i></a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="https://www.instagram.com/"><i class="fab fa-instagram fa-2x"></i></a>
                      </li>
                      </ul>
                    </ul>
             </div>
            </div>
  </footer>

  {% endblock footer %} 

  
  {# -----Lien js-boostrap------ #}

  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">
</body>

</html>